<?xml version="1.0" encoding="UTF-8"?>

<!--
Licensed Materials - Property of IBM
(c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.

Note to U.S. Government Users Restricted Rights:
Use, duplication or disclosure restricted by GSA ADP Schedule
Contract with IBM Corp. 
-->

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:crn="http://developer.cognos.com/schemas/crconfig/1/" xmlns:cfg="http://developer.cognos.com/schemas/configparams/XMLSchema/1/">
	<!-- copy all other elements -->
	<xsl:output method="xml" version="1.0" indent="yes" encoding="UTF-8"/>
	<!-- copy everything -->
	<xsl:template match="*|@*|text()|processing-instruction()|comment()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
		</xsl:copy>
	</xsl:template>
	
	<!-- Replace CM content store with DB2 db -->
	<xsl:template match="/crn:parameters/crn:parameter[@name = 'CM']/crn:value/crn:instances[@name='database']">
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<crn:instance name="Content Store" class="Microsoft">
				<crn:parameter name="server">
					<crn:value xsi:type="cfg:hostPort">C8SE_C8_DB_HOST:C8SE_C8_DB_PORT</crn:value>
				</crn:parameter>
				<crn:parameter name="user">
					<crn:value xsi:type="cfg:credential">
						<credential>
							<username>C8SE_C8_DB_UID</username>
							<password>C8SE_C8_DB_Pass</password>
						</credential>
					</crn:value>
				</crn:parameter>
				<crn:parameter name="name">
					<crn:value xsi:type="xsd:string">C8SE_C8_DB_NAME</crn:value>
				</crn:parameter>
			</crn:instance>
		</xsl:copy>
	</xsl:template>
	
	<!-- Add Local NT Authentication Information -->
	<xsl:template match="/crn:parameters/crn:parameter[@name='AAA']/crn:value/crn:instances[@name='authProvider']">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|processing-instruction()|comment()"/>
			<!-- Local NT: Defines a group of properties that allows the product to use the NTLM protocol 
				for user authentication.  -->
			<!-- Set the values for this group of properties to provide access to your existing NTLM 
				security. This external resource must already exist in your environment and be configured 
			 	to use for authentication.  -->
			<crn:instance name="Local NT" class="NTLM">
				<!-- id: Specifies a unique identifier for the authentication namespace.  -->
				<!-- Use the namespace identifier to distinguish between multiple namespaces. Each namespace 
					must have a unique identifier. When you select a namespace to use for authentication 
					in the run-time environment, the product uses the identifier. It is recommended that 
					you do not change the namespace ID after you start the service because it may break 
					policies and the Cognos group and role memberships. Do not use a colon in the Namespace 
					ID.  -->
				<crn:parameter name="id">
					<crn:value xsi:type="xsd:string">Local NT ID</crn:value>
				</crn:parameter>
				<!-- domain: Specifies the name of the network domain to use for authentication.  -->
				<!-- Set the value of this property to use your existing network security or your local 
					computer security. If you leave the value empty, the security for the defined users 
					on your local computer is used for authentication.  -->
				<crn:parameter name="domain">
					<crn:value xsi:type="xsd:string"></crn:value>
				</crn:parameter>
				<!-- primaryDomainController: Specifies the name of the primary domain controller.  -->
				<!-- Set the value of this property if the installation cannot resolve the primary domain 
					controller.  -->
				<crn:parameter name="primaryDomainController">
					<crn:value xsi:type="xsd:string"></crn:value>
				</crn:parameter>
				<!-- advancedProperties: Specifies a set of advanced properties.  -->
				<!-- The user needs to provide the name and the value for each advanced property.  -->
				<crn:parameter name="advancedProperties" opaque="true">
					<crn:value xsi:type="cfg:array"/>
				</crn:parameter>
			</crn:instance>
		</xsl:copy>
	</xsl:template>
</xsl:stylesheet>
